Subject: bug#46925: Ripgrep tests failures due to bstr update

From: Nicolas Goaziou <[email-masked]>
Date: Wed, 10 Mar 2021 14:42:04 +0100

Hello,

John Soo <[email-masked]> writes:

> I think the breaking tests do actually indicate breaking functionality
> in this case since there is a whole test suite dedicated to the
> bytestring representation.

I use ripgrep daily, and I haven't encountered a regression so far. Of
course, this proves nothing.

> Maybe the fix could be using a later commit
> in which the later bstr is used. There are definitely unreleased
> commits in ripgrep.

Latest ripgrep commit still requires bstr 0.2.12, so this is not an
option either.

Regards,
-- 
Nicolas Goaziou